<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">
<h:head>
</h:head>

<h:body>
<ui:composition >


<h:panelGroup  rendered="#{tipo eq 'inicio'}">

		<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;" >
		<h:column>
		<h:panelGroup  rendered="#{not list.isPrivado() and not list.getL().isEmpty()}">
				<div>
					<p:carousel id="carrusel" numVisible="1" effect="easeInStrong" var="image" value="#{list.getL()}"
						headerText="#{list.getNombre()}" responsive="true" style="width: 3.6%">
				
						
						
		                	<p:tab title="#{list.getNombre()}">
		                	
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
						<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
								<h:panelGrid columns="2" cellpadding="10" >
							
									<p:graphicImage value="../img2/music.jpg" style="width: 200px;height: 140px;border: 2px solid black; border-radius: 5px;margin-left:20px" />
			
								</h:panelGrid>
								<h:panelGrid columns="1" cellpadding="10" style="width: 100%;" >
									<audio controls="controls" src="/TodoArte/img/#{image.getNombre()}" />
								
								
								</h:panelGrid>
							</p:tab>	
					
						
							
					</p:carousel>
				</div>
			</h:panelGroup>
		</h:column>
		</h:dataTable>

</h:panelGroup>

<h:panelGroup  rendered="#{tipo eq 'fans'}">

		<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;" >
		<h:column>
		<h:panelGroup  rendered="#{list.isPrivado() and not list.isPremium() and not list.getL().isEmpty()}">
				<div>
					<p:carousel id="carrusel" numVisible="1" effect="easeInStrong" var="image" value="#{list.getL()}"
						headerText="#{list.getNombre()}" responsive="true" style="width: 3.6%">
				
						
						
		                	<p:tab title="#{list.getNombre()}">
		                	

 					
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
						<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
								<h:panelGrid columns="2" cellpadding="10" >
							
									<p:graphicImage value="../img2/music.jpg" style="width: 200px;height: 140px;border: 2px solid black; border-radius: 5px;margin-left:20px" />
			
								</h:panelGrid>
								<h:panelGrid columns="1" cellpadding="10" style="width: 100%;" >
									<audio controls="controls" src="/TodoArte/img/#{image.getNombre()}" />
								
								
								</h:panelGrid>
							</p:tab>	
					
						
							
					</p:carousel>
				</div>
			</h:panelGroup>
		</h:column>
		</h:dataTable>

</h:panelGroup>

<h:panelGroup  rendered="#{tipo eq 'vip'}">

		<h:dataTable var="list" value="#{SitioBean.p}" style="width: 100%;" >
		<h:column>
		<h:panelGroup  rendered="#{list.isPremium() and not list.getL().isEmpty()}">
				<div>
					<p:carousel id="carrusel" numVisible="1" effect="easeInStrong" var="image" value="#{list.getL()}"
						headerText="#{list.getNombre()}" responsive="true" style="width: 3.6%">
				
						
						
		                	<p:tab title="#{list.getNombre()}">
		                	
		                	<h:form>       
						<p:commandButton value="$" rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan()}" type="button" onclick="PF('dlgCom2').show();"/>
 					</h:form> 
 					
					<h:form>
                    <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isFan() or SitioBean.isSecionArtistaDueño()}" value ="Comentar y Valorar" action="#{ContenidoBean.ListarComentarios()}" oncomplete="PF('sidebar2').show()">
						<f:param name="id" value="#{image.getIdContenido()}"/>
                    </p:commandButton>
                	</h:form>
					<h:form>
		                <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Eliminar" action="#{ContenidoBean.prepararEditar2()}" oncomplete="PF('dlgELC').show();">
						<f:param name="id2" value="#{image.getIdContenido()}"/>
						</p:commandButton>
		            </h:form>
		            
						<h:form>
                            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and not SitioBean.isSecionArtistaDueño()}" value="Reportar" action="#{SitioBean.prepararReport()}"
                              oncomplete="PF('reportar').show();" style="margin-right:20px;" >
                              <f:param name="id4" value="#{image.getIdContenido()}"/>
                              </p:commandButton>
                   </h:form>
 					  
					<h:form>
		            <p:commandButton rendered="#{BeanDeSeguridad.isSecion() and SitioBean.isSecionArtistaDueño()}" value="Editar Contenido" action="#{ContenidoBean.prepararEditar()}" oncomplete="PF('dlgEC').show();">
		                <f:param name="id3" value="#{image.getIdContenido()}"/>
		            </p:commandButton>
		            </h:form>
								<h:panelGrid columns="2" cellpadding="10" >
							
									<p:graphicImage value="../img2/music.jpg" style="width: 200px;height: 140px;border: 2px solid black; border-radius: 5px;margin-left:20px" />
			
								</h:panelGrid>
								<h:panelGrid columns="1" cellpadding="10" style="width: 100%;" >
									<audio controls="controls" src="/TodoArte/img/#{image.getNombre()}" />
								
								
								</h:panelGrid>
							</p:tab>	
					
						
							
					</p:carousel>
				</div>
			</h:panelGroup>
		</h:column>
		</h:dataTable>

</h:panelGroup>

</ui:composition>
</h:body>	
</html>